Skip to main content
POST
/
api
/
invitations
Create Invitation
curl --request POST \
  --url https://api.example.com/api/invitations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "email": "jsmith@example.com",
  "name": "<string>",
  "roles": [
    "<string>"
  ],
  "expires_hours": 123
}
'
{
  "id": "<string>",
  "email": "<string>",
  "name": "<string>",
  "roles": [],
  "invited_by": 123,
  "expires_at": "2023-11-07T05:31:56Z",
  "accepted_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-API-Key
string | null

Cookies

antidote_session
string | null

Body

application/json
email
string<email>
required
name
string | null
roles
string[] | null
expires_hours
integer | null

Response

Successful Response

id
string
required
email
string
required
name
string | null
roles
string[]
invited_by
integer | null
expires_at
string<date-time> | null
accepted_at
string<date-time> | null
created_at
string<date-time> | null